Subject: Re: [Bitcoin-development] replace-by-fee v0.9.3 release

From: Luke Dashjr <[email-masked]>
Date: Sun, 28 Sep 2014 17:03:50 +0000

On Sunday, September 28, 2014 5:15:53 AM Peter Todd wrote:
> On Sat, Sep 27, 2014 at 07:55:44PM -0700, Tom Harding wrote:
> > On 9/25/2014 7:37 PM, Aaron Voisine wrote:
> > > Of course you wouldn't want nodes to propagate alerts without
> > > independently verifying them
> > 
> > How would a node independently verify a double-spend alert, other than
> > by having access to an actual signed double-spend?
> > 
> > #4570 relays the first double-spend AS an alert.  Running this branch on
> > mainnet, I have been keeping a live list of relayed double-spend
> > transactions at http://respends.thinlink.com
> 
> Speaking of, I ported my replace-by-fee branch the recent v0.9.3
> release: https://github.com/petertodd/bitcoin/tree/replace-by-fee-v0.9.3
> 
> I actually ported it a few days ago; that release has been running on a
> half-dozen or so nodes right now for a few days with no issues.
> 
> The v0.9.3 release's scriptSig size limit increase adds a new category
> of double-spending exploit. I'm not going to get time to add that
> exploit to my replace-by-fee toolkit(1) for at least another week or so
> though - pull-reqs accepted.
> 
> 1) https://github.com/petertodd/replace-by-fee-tools

Do you have or can you provide a version compatible with CPFP, such that a 
child paying a higher fee trumps the parent's replacement?

Preferably something that will merge cleanly into 0.9.x-ljr :)

Luke